
%global meadversion 0.4.1
%global namedversion 0.4.1.redhat-00006
%global meadalpha .redhat_00006
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00006

%{?scl:%scl_package opentracing-contrib-java-jaxrs} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.4.1.redhat-00006

Name:		    %{?scl_prefix}opentracing-contrib-java-jaxrs
Summary:	    Support for integrating OpenTracing in JAX-RS projects
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: opentracing-jaxrs-parent-0.4.1.redhat-00006-project-sources.tar.gz
Source102: opentracing-jaxrs2-0.4.1.redhat-00006.jar
Source103: opentracing-jaxrs2-0.4.1.redhat-00006.pom
Source104: opentracing-jaxrs2-0.4.1.redhat-00006-sources.jar
Source105: opentracing-jaxrs-parent-0.4.1.redhat-00006.pom
%endif

License:        ASL 2.0
URL:            https://github.com/opentracing-contrib/java-concurrent
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-contrib-java-jaxrs
Group:          Development/Java


%description javadoc
Javadoc for opentracing-contrib-java-jaxrs
%endif

%prep

%if 0
%setup -q -n opentracing-jaxrs-parent-%{namedversion} -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/opentracing-jaxrs2-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opentracing-jaxrs2-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/opentracing-contrib-java-jaxrs-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-jaxrs2-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-contrib-java-jaxrs-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s opentracing-contrib-java-jaxrs-%{namedversion} opentracing-contrib-java-jaxrs)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc README.md
%endif

%{_javadir}/opentracing-jaxrs2-%{namedversion}.jar
%{_javadir}/opentracing-jaxrs2.jar
%{_javadir}/opentracing-jaxrs2-%{namedversion}-sources.jar
%{_javadir}/opentracing-jaxrs2-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-contrib-java-jaxrs
%{_javadocdir}/opentracing-contrib-java-jaxrs-%{namedversion}
%endif

%changelog
* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 0.4.1-1.redhat_00006.1
- 0.4.1.redhat-00001

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.7-1.redhat_00001.1
-  0.1.7.redhat-00001 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.7-1.redhat_00001.1
-  0.1.7.redhat-00001 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.7-1.redhat_00001.1
-  0.1.7.redhat-00001 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.7-1.redhat_00001.1
-  0.1.7.redhat-00001 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.7-1.redhat_00001.1
-  0.1.7.redhat-00001 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.7.redhat-00001
- Init build
